Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.paging
Interface IPagedListIterator<T>

All Superinterfaces
  Iterator<T>, ListIterator<T>, Serializable

    public interface IPagedListIterator<T>

extends ListIterator<T>, Serializable

A bi-directional iterator for traversing query results in a read-only manner. This iterator does not support changing the collection results in any manner.

An overview of PagedList capabilities, including sorting and filtering, is provided in the package documentation at `com.bea.content.paging`

Changes to the collection should be made via the CM APIs such as com.bea.content.federated.INodeManager, and the query should be re-issued.

NOTE: items returned from this iterator should not be modified, since for performance reasons they are lightweight objects which can be re-used by other iterators. Use the interfaces INodeManager, ITypeManager, etc. to make changes to the backing store.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`void` | `add(T o)` NOT SUPPORTED -- throws UnsupportedOperationException
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`T` | `next()`
`int` | `nextIndex()`
`T` | `previous()`
`int` | `previousIndex()`
`void` | `remove()` NOT SUPPORTED -- throws UnsupportedOperationException
`void` | `reset()` set the iterator position to its start position (just like creating a new iterator)
`void` | `set(T o)` NOT SUPPORTED -- throws UnsupportedOperationException

Method Detail

### hasNext

    boolean hasNext()
                    throws RepositoryRuntimeException

  Specified by:
    `hasNext` in interface `Iterator<T>`
  Specified by:
    `hasNext` in interface `ListIterator<T>`
  Throws
    `RepositoryRuntimeException`

### next

    T next()
           throws RepositoryRuntimeException,
                  NoSuchElementException

  Specified by:
    `next` in interface `Iterator<T>`
  Specified by:
    `next` in interface `ListIterator<T>`
  Throws
    `RepositoryRuntimeException`
    `NoSuchElementException`

### nextIndex

    int nextIndex()
                  throws RepositoryRuntimeException

  Specified by:
    `nextIndex` in interface `ListIterator<T>`
  Throws
    `RepositoryRuntimeException`

### hasPrevious

    boolean hasPrevious()
                        throws RepositoryRuntimeException

  Specified by:
    `hasPrevious` in interface `ListIterator<T>`
  Throws
    `RepositoryRuntimeException`

### previous

    T previous()
               throws RepositoryRuntimeException,
                      NoSuchElementException

  Specified by:
    `previous` in interface `ListIterator<T>`
  Throws
    `RepositoryRuntimeException`
    `NoSuchElementException`

### previousIndex

    int previousIndex()
                      throws RepositoryRuntimeException

  Specified by:
    `previousIndex` in interface `ListIterator<T>`
  Throws
    `RepositoryRuntimeException`

### reset

    void reset()
               throws RepositoryRuntimeException

  set the iterator position to its start position (just like creating a new iterator)

  Throws
    `RepositoryRuntimeException`

### remove

    void remove()
                throws UnsupportedOperationException

  NOT SUPPORTED -- throws UnsupportedOperationException

  Specified by:
    `remove` in interface `Iterator<T>`
  Specified by:
    `remove` in interface `ListIterator<T>`
  Throws
    `UnsupportedOperationException`

### set

    void set(T o)
             throws UnsupportedOperationException

  NOT SUPPORTED -- throws UnsupportedOperationException

  Specified by:
    `set` in interface `ListIterator<T>`
  Throws
    `UnsupportedOperationException`

### add

    void add(T o)
             throws UnsupportedOperationException

  NOT SUPPORTED -- throws UnsupportedOperationException

  Specified by:
    `add` in interface `ListIterator<T>`
  Throws
    `UnsupportedOperationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.